It seems that you're using an outdated browser. Some things may not work as they should (or don't work at all).
We suggest you upgrade newer and better browser like:Chrome,Firefox,Internet Explorer orOpera

×
arrow-down2arrowcart2close4fat-arrow-leftfat-arrow-rightfeedbackfriends2happy-facelogo-gognotificationnotifications-emptyownedremove-menusad-facesearch2wishlist-menuwishlisted2own_thingsheartstartick
when it will be updated to 2.1?
gog we need 2.1 update because they put the italian translation on that update. Please update it fast.
high rated
Baldur's Gate: Enhanced Edition

Changelog for patch 2.1.63.2 / GOG-4 (Windows and Linux) / GOG-12 (Mac) (added 19 April 2016):

Today we're pleased to bring you v2.1, which includes a number of fixes to BG:EE, BGII:EE, and the Siege of Dragonspear expansion. The full release notes are linked below, but here are the highlights:

- Difficulty options should now be preserved across saved games
- Using cloud saves should no longer cause game crashes in multiplayer
- Multiplayer in general should be more stable

We still have a few lingering issues to fix regarding multiplayer, as well as other areas of the game that need some more polish; those things will be addressed in one of our upcoming updates. In the meantime, enjoy this first batch of fixes!

Detailed patch notes are available here: https://items.gog.com/releasenotes_2_1.pdf


Changelog for patch 2.0.62.2 (added 31 March 2016):

The full, official release notes for the v2.0 update are attached at the bottom of this post. It details all of the changes to BG:EE, BGII:EE, and the Infinity Engine as a whole. It also includes a section that's just for modders talking about some of the new opcodes, triggers, and actions that the update adds, as well as a collection of guides to help UI enthusiasts get their feet wet tinkering with the new UI system. The document clocks in at just over 30 pages; you won't want to miss it.

- Compatibility with Baldur's Gate: Siege of Dragonspear expansion added.
- New Class: The Shaman
- New Cleric Kit: The Priest of Tyr
- Class Ability Tweak: Poison Weapon now scales with levels
- Item Tweak: Stupefier +1 has been adjusted to be more in line with the game's other equipment
- Spell Tweak: Enchanted Weapon now modifies the target's existing weapons
- Items can now be placed in the Off-Hand slot while ranged and two-handed weapons are equipped
- The User Interface has been overhauled with a new system
- Dozens of modder-friendly enhancements
- Hundreds of bug fixes

This is our biggest update ever, and it applies to both Baldur's Gate: Enhanced Edition and Baldur's Gate II: Enhanced Edition. We have a lot of improvements planned in the coming weeks and months as well; stay tuned for more information!

Detailed patch notes are available here: https://items.gog.com/releasenotes_2_0.pdf

Baldur's Gate II: Enhanced Edition Patch 2.0 will be available on GOG soon.


Changelog for GOG-3 Linux (added 02.09.2015):

- We've uploaded a new Linux installer for Baldur's Gate Enhanced Edition.
- Added missing dependency.
- Fixed an issue where the game would crash on AMD (proprietary drivers).
- Fixed an issue where the game would not support dual screens properly on NVIDIA (proprietary drivers).
avatar
PaterAlf: Changelog for patch 2.1.63.2 / GOG-4 (Windows and Linux) / GOG-12 (Mac) (added 19 April 2016):
It may be a stupid quesion, but wasn't upstream version 2.0 called GOG-3 on Windows and GOG-4 on Linux?
avatar
mk47at: It may be a stupid quesion, but wasn't upstream version 2.0 called GOG-3 on Windows and GOG-4 on Linux?
No idea. I didn't own the game at that point.. But you might be right, because the Changelog talks about Patch GOG-3 for Linux on 02.09.2015 and that was two updates ago.
finally. thank you.
Now you need to update the store page with italian language for both baldur's gate 1 and 2 EE
avatar
PaterAlf: No idea. I didn't own the game at that point.. But you might be right, because the Changelog talks about Patch GOG-3 for Linux on 02.09.2015 and that was two updates ago.
I've downloaded the full GOG-4 Linux installer and it's still version 2.0. Although the version numbers are similar, the patch does update the game to 2.1.

Gog's strange versioning scheme is quite confusing. It would be great if they would stick to the upstream version number (maybe with a suffix for in-house fixes).

Edit: Version 2.1 for Linux is now available. The installer is called gog_baldur_s_gate_enhanced_edition_2.2.0.4.sh
Post edited April 19, 2016 by mk47at
Just something I'm curious about. Does the newest patch break the mods (like the Tweak pack and the Unfinished Business mod)?

I'm a bit curious about that.
avatar
POLE7645: Just something I'm curious about. Does the newest patch break the mods (like the Tweak pack and the Unfinished Business mod)?

I'm a bit curious about that.
As long as you use the Modmerge program before you start installing mods, Tweak pack and Unfinished Business should work fine. Hopefully Beamdog will fix the mod issue in the future, but until then, Modmerge is needed to use mods on non-Beamdog versions of BGEE, SoD, and BGEE2.

Link for Modmerge: https://forums.beamdog.com/discussion/50441/modmerge-merge-your-steam-gog-zip-based-dlc-into-something-weidu-nearinfinity-dltcep-can-use/p1
avatar
POLE7645: Just something I'm curious about. Does the newest patch break the mods (like the Tweak pack and the Unfinished Business mod)?

I'm a bit curious about that.
now it seems to work, but I have installed a few...
avatar
POLE7645: Just something I'm curious about. Does the newest patch break the mods (like the Tweak pack and the Unfinished Business mod)?

I'm a bit curious about that.
avatar
SwiftyMagee: As long as you use the Modmerge program before you start installing mods, Tweak pack and Unfinished Business should work fine. Hopefully Beamdog will fix the mod issue in the future, but until then, Modmerge is needed to use mods on non-Beamdog versions of BGEE, SoD, and BGEE2.

Link for Modmerge: https://forums.beamdog.com/discussion/50441/modmerge-merge-your-steam-gog-zip-based-dlc-into-something-weidu-nearinfinity-dltcep-can-use/p1
Never used it and I installed them while I still had version 1.3.

Do I need to run that program and re-install these mods? Or should my saved games be OK? Note that I don't have Siege of Dragonspear installed.
avatar
SwiftyMagee: As long as you use the Modmerge program before you start installing mods, Tweak pack and Unfinished Business should work fine. Hopefully Beamdog will fix the mod issue in the future, but until then, Modmerge is needed to use mods on non-Beamdog versions of BGEE, SoD, and BGEE2.

Link for Modmerge: https://forums.beamdog.com/discussion/50441/modmerge-merge-your-steam-gog-zip-based-dlc-into-something-weidu-nearinfinity-dltcep-can-use/p1
avatar
POLE7645: Never used it and I installed them while I still had version 1.3.

Do I need to run that program and re-install these mods? Or should my saved games be OK? Note that I don't have Siege of Dragonspear installed.
If you don't have the Siege of Dragonspear DLC, there is no need for Modmerge; all Modmerge does is extract the data from the SoD package to your game folder so you can install mods on a non-Beamdog version of BGEE.

So if you have BGEE with the 2.1 patch but didn't purchase the Dragonspear DLC, you don't need Modmerge. Your mods will install fine. You'll only have a problem if there is a component of the mod that is not patch 2.0 or 2.1 compatible.
avatar
SwiftyMagee: If you don't have the Siege of Dragonspear DLC, there is no need for Modmerge; all Modmerge does is extract the data from the SoD package to your game folder so you can install mods on a non-Beamdog version of BGEE.

So if you have BGEE with the 2.1 patch but didn't purchase the Dragonspear DLC, you don't need Modmerge. Your mods will install fine. You'll only have a problem if there is a component of the mod that is not patch 2.0 or 2.1 compatible.
Thanks for the clear explanation. I, too, was wondering about this.
Post edited April 21, 2016 by Pajama
high rated
Baldur's Gate: Enhanced Edition

Changelog for patch 2.2.66.0 (gog-5) (Windows/Linux) / (gog-13) (Mac) (added 18 May 2016):

- Today we're pleased to bring you v2.2, which includes 90 fixes to BGII:EE. The full release notes are linked below, but here are the highlights:
- Improved multiplayer stability
- New graphics options
- Fixed loot for dead party members during the transition to Throne of Bhaal

- Detailed patch notes are available here: https://items.gog.com/releasenotes_2_2.pdf


~~~~~~~~~~~~~~~~~~~~~~~~~~~


Baldur's Gate II: Enhanced Edition

Changelog for patch 2.2.66.0 (gog-5) (Windows) / (gog-7) (/Linux) / (gog-10) (Mac) (added 18 May 2016):

- Today we're pleased to bring you v2.2, which includes 90 fixes to BGII:EE. The full release notes are linked below, but here are the highlights:
- Improved multiplayer stability
- New graphics options
- Fixed loot for dead party members during the transition to Throne of Bhaal

- Detailed patch notes are available here: https://items.gog.com/releasenotes_2_2.pdf
Nearest Neighbor was the best thing to happen to the EEs in a good long while.